Summary:	Implementation of E-component of Network Intrusion Detection System
Summary(pl.UTF-8):	Implementacja E-komponentu NIDS (sieciowego systemu wykrywania intruzów)
Name:		libnids
Version:	1.24
Release:	2
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libnids/%{name}-%{version}.tar.gz
# Source0-md5:	72d37c79c85615ffe158aa524d649610
Patch0:		%{name}-libnet1.patch
Patch1:		%{name}-nolibs.patch
Patch2:		gcc5.patch
URL:		http://libnids.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.2.0
BuildRequires:	libnet1-devel
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libnids is an implementation of an E-component of Network Intrusion
Detection System. It emulates the IP stack of Linux 2.0.x. Libnids
offers IP defragmentation, TCP stream assembly and TCP port scan
detection.

%description -l pl.UTF-8
Libnids jest implementacją E-komponentu Systemu Wykrywania Intruzów w
Sieci (NIDS). Emuluje ona stos IP Linuksa 2.0.x. Libnids oferuje
defragmentację IP, asemblację strumienia TCP oraz wykrywanie
skanowania portów TCP.

%package devel
Summary:	Header files and development documentation for libnids
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumetacja do libnids
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and development documentation for libnids.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumetacja do libnids.

%package static
Summary:	Static libnids library
Summary(pl.UTF-8):	Biblioteka statyczna libnids
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libnids library.

%description static -l pl.UTF-8
Biblioteka statyczna libnids.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%{__autoheader}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	install_prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README CREDITS MISC doc/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Mon Mar 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnids.git;a=log;h=master

* Mon Mar 28 2016 Jan Rękorajski <baggins@pld-linux.org> ddd7b99
- apply gcc patch

* Mon Mar 28 2016 Jan Rękorajski <baggins@pld-linux.org> 8602fef
- fix build with gcc 5
- rel 2

* Tue Jul 27 2010 zbyniu <zbyniu@pld-linux.org> 18070bd
- up to 1.24; -elif.patch obsoleted

* Thu Apr 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fb855c
- release 3

* Fri Aug 28 2009 duddits <duddits@pld-linux.org> 1412d1f
- for gcc 4.4

* Fri Aug 28 2009 duddits <duddits@pld-linux.org> 66d7213
- rel. 2
- elif.patch for gcc 4.4 added

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> f3b7ef9
- updated to 1.23 (fixes remotely triggerable NULL dereference)

* Fri Jan 04 2008 zbyniu <zbyniu@pld-linux.org> 8dafd0b
- up to 1.22

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fef6daa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 725d5df
- converted to UTF-8

* Mon May 15 2006 Jakub Bogusz <qboosh@pld-linux.org> dbe966c
- updated to 1.21 (few features added, new soname)

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 82d4cb5
- orphaned, outdated

* Mon Jun 20 2005 Jakub Bogusz <qboosh@pld-linux.org> d7b89e3
- typo

* Mon Jun 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 6dc93f3
- strict internal deps, unified config.sub update

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> dda67f3
- BR: libtool

* Fri Feb 11 2005 areq <areq@pld-linux.org> 51ee81d
- 1.20

* Mon Aug 09 2004 Sławomir Paszkiewicz <paszczus@pld-linux.org> 3a32a9b
- updated to 1.19

* Sat Aug 07 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> a012796
- rel 3

* Fri Jul 02 2004 areq <areq@pld-linux.org> e5d71e7
- copy config.sub to allow build on amd64

* Sat Nov 08 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fd798b
- rel up

